import 'dart:io';
import 'option.dart';

class Terminal {
  const Terminal();

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
    stdout.writeln(); // for empty line
  }

  void printOptions(List<Option> options) {
    // we convert the list to a map to be able to access
    // the indexes (as the keys)
    options.asMap().forEach((index, option) {
      stdout.writeln('${index + 1}) ${option.label}');
    });

    //we can also implement it that way
    /*
    for (var option in options) {
      stdout.writeln('${options.indexOf(option) + 1}) ${option.label}');
    }
   */

    stdout.write('Enter a choice >');
  }

  void clearScreen() {
    //clearing the terminal using ANSI escape code
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }

  String collectInput() {
    return stdin.readLineSync();
  }
}
